Bug 239975 - Firefox not using ~/Download
Firefox not using ~/Download
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-13 15:00 EDT by Debarshi Ray
Modified: 2009-09-21 16:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-14 05:57:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-05-13 15:00:25 EDT
Description of problem:

It seems that Firefox is not using the ~/Download directory for storing its
downloads. The default location is still ~/Desktop. Although one can easily
change the settings in Firefox, isn't it more reasonable if all applications
made use of the ~/Download directory by default when one is available?


Version-Release number of selected component (if applicable):

firefox-2.0.0.3-4.fc7


How reproducible:

Every time.

Steps to Reproduce:

1. Open Firefox.
2. Click on any downloadable link, and select the 'save to disk' option.

  
Actual results:

The file gets downloaded in ~/Desktop by default.


Expected results:

One would the default download location to be ~/Download.


Additional info:

n.a.
Comment 1 Christopher Aillon 2007-05-14 05:57:55 EDT
No.  I had this discussion a few years ago with our usability guys Seth and
Bryan.  We want this to be Desktop.  I don't know who came up with ~/Download
but it wasn't me.  That should be removed IMHO.

Note You need to log in before you can comment on or make changes to this bug.